%global xr_version 1.9.2.2
# alternatively 1.9.1.9 will work, too (for fedora 13),
# but <= 1.9.2.1 will not work

Summary:          GUI to manage contents of an NSS database
Name:             nss-gui
Version:          0.3.9
Release:          1%{?dist}
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              https://fedorahosted.org/nss-gui/
Group:            Applications/System
Requires:         xulrunner >= %{xr_version}

#line can be removed after having branched for RHEL 5
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    boost-devel
BuildRequires:    asciidoc
BuildRequires:    libxslt
BuildRequires:    desktop-file-utils

Source0:          https://fedorahosted.org/released/nss-gui/%{name}-%{version}.tar.bz2
Source1:          x509-icon.png
Source2:          nss-gui.desktop

%description
Graphical user interface to manage the contents of an NSS
(Network Security Services) database, including registered CRLs and
registered security devices (PKCS#11). Based on Mozilla code.

%prep
%setup -q

%build
cd wrapnssgui
make OPTFLAGS="%{optflags}"
cd ..


%install
#line can be removed after having branched for RHEL 5
rm -rf $RPM_BUILD_ROOT

# There is no make install target so we'll do it ourselves.
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/nss-gui

install -p -m 755 wrapnssgui/nss-gui $RPM_BUILD_ROOT/%{_bindir}/nss-gui
install -p -m 644 wrapnssgui/nss-gui.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
install -p -m 644 LICENSE $RPM_BUILD_ROOT/%{_datadir}/nss-gui

cp -axiv xrnssgui/* $RPM_BUILD_ROOT/%{_datadir}/nss-gui

cp -axiv %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/nss-gui

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
cp -axiv %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


#section can be removed after having branched for RHEL 5
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/nss-gui
%{_mandir}/man1/nss-gui.1.gz
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/nss-gui/
%{_datadir}/nss-gui/LICENSE
%{_datadir}/nss-gui/xrnssgui.ini
%{_datadir}/nss-gui/x509-icon.png
%{_datadir}/nss-gui/chrome.manifest
%dir %{_datadir}/nss-gui/defaults
%dir %{_datadir}/nss-gui/defaults/preferences
%{_datadir}/nss-gui/defaults/preferences/prefs.js
%dir %{_datadir}/nss-gui/chrome
%{_datadir}/nss-gui/chrome/chrome.manifest
%dir %{_datadir}/nss-gui/chrome/branding
%{_datadir}/nss-gui/chrome/branding/brand.properties
%{_datadir}/nss-gui/chrome/branding/brand.dtd
%dir %{_datadir}/nss-gui/chrome/content
%{_datadir}/nss-gui/chrome/content/WebSitesModifyOverlay.xul
%{_datadir}/nss-gui/chrome/content/main.xul
%{_datadir}/nss-gui/chrome/content/crlManagerModify.xul
%{_datadir}/nss-gui/chrome/content/main.js


%changelog
* Tue Feb 15 2011 Kai Engert <kaie@redhat.com> 0.3.9-1
- Update to 0.3.9

* Thu Feb 10 2011 Kai Engert <kaie@redhat.com> 0.3.8-1
- Update to 0.3.8

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Kai Engert <kaie@redhat.com> 0.3.7-1
- Update to 0.3.7 which includes all three license texts
- Add icon and desktop file
- Remove unnecessary explicit boost dependency
- Add reminders for later spec file cleanup

* Tue Jan 18 2011 Kai Engert <kaie@redhat.com> 0.3.6-1
- Update to 0.3.6
- Own the directories we create

* Thu Jan 13 2011 Kai Engert <kaie@redhat.com> 0.3.5-1
- compatibility with xulrunner 2.0.*
- enable opt/debug flags to make debuginfo.rpm work

* Thu Jan 13 2011 Kai Engert <kaie@redhat.com> 0.3.4-1
- new release that comes with a manpage and license file

* Wed May 26 2010 Kai Engert <kaie@redhat.com> 0.3.3-1
- fixed issues described in bug 466626
- added license headers

* Thu Feb 18 2010 Kai Engert <kaie@redhat.com> 0.3.0-1
- Initial build
